<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.constraintlayout.widget.ConstraintLayout
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivBg"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:src="@mipmap/bg_benefit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <ImageView
            android:src="@mipmap/benefit_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="@+id/ivBg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/clBottom"
            android:background="@drawable/shape_white_bottom_24"
            app:layout_constraintTop_toBottomOf="@+id/ivBg"
            app:layout_constraintStart_toStartOf="@+id/ivBg"
            app:layout_constraintEnd_toEndOf="@+id/ivBg"
            android:layout_width="0dp"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/llOne"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/llTwo"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintHorizontal_chainStyle="spread"
                android:layout_marginTop="12dp"
                android:layout_marginStart="16dp"
                android:gravity="center"
                android:background="@drawable/shape_fef0bf_30fef0bf_12"
                android:orientation="vertical"
                android:layout_width="0dp"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_marginTop="4dp"
                    android:src="@mipmap/benefit_coin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textSize="10dp"
                    android:textColor="#FFAE34"
                    android:text="@string/coin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:id="@+id/tvCoin"
                    android:textSize="16dp"
                    android:textColor="#FFAE34"
                    android:layout_marginBottom="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llTwo"
                app:layout_constraintStart_toEndOf="@+id/llOne"
                app:layout_constraintEnd_toStartOf="@+id/llThree"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="12dp"
                android:layout_marginStart="8dp"
                android:gravity="center"
                android:background="@drawable/shape_fef0bf_30fef0bf_12"
                android:orientation="vertical"
                android:layout_width="0dp"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_marginTop="4dp"
                    android:src="@mipmap/benefit_effects"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textSize="10dp"
                    android:textColor="#FFAE34"
                    android:text="@string/rank_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textSize="16dp"
                    android:textColor="#FFAE34"
                    android:text="24*h"
                    android:layout_marginBottom="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llThree"
                app:layout_constraintStart_toEndOf="@+id/llTwo"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="12dp"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="16dp"
                android:gravity="center"
                android:background="@drawable/shape_fef0bf_30fef0bf_12"
                android:orientation="vertical"
                android:layout_width="0dp"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_marginTop="4dp"
                    android:src="@mipmap/benefit_medal"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textSize="10dp"
                    android:textColor="#FFAE34"
                    android:text="@string/special_effects"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textSize="16dp"
                    android:textColor="#FFAE34"
                    android:text="24*h"
                    android:layout_marginBottom="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </LinearLayout>


            <TextView
                android:id="@+id/tvRecharge"
                android:textColor="#fff"
                app:layout_constraintTop_toBottomOf="@+id/llOne"
                android:layout_marginTop="20dp"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="25dp"
                android:text="$1"
                android:gravity="center"
                android:textSize="16dp"

                android:background="@drawable/shape_ff4747_ffe249_23"
                app:layout_constraintBottom_toBottomOf="parent"
                android:layout_width="match_parent"
                android:layout_height="44dp"/>

        </androidx.constraintlayout.widget.ConstraintLayout>


        <ImageView
            android:id="@+id/ivClose"
            android:layout_marginTop="32dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/clBottom"
            android:src="@mipmap/benefit_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>